<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.experimental.substrates.numpy.distributions" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="FULLY_REPARAMETERIZED"/>
<meta itemprop="property" content="NOT_REPARAMETERIZED"/>
</div>

# Module: tfp.experimental.substrates.numpy.distributions


<table class="tfo-notebook-buttons tfo-api" align="left">

<td>
  <a target="_blank" href="https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/experimental/substrates/numpy/distributions/__init__.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td></table>



Statistical distributions.

<!-- Placeholder for "Used in" -->


## Classes

[`class Autoregressive`](../../../../tfp/experimental/substrates/numpy/distributions/Autoregressive.md): Autoregressive distributions.

[`class BatchReshape`](../../../../tfp/experimental/substrates/numpy/distributions/BatchReshape.md): The Batch-Reshaping distribution.

[`class Bernoulli`](../../../../tfp/experimental/substrates/numpy/distributions/Bernoulli.md): Bernoulli distribution.

[`class Beta`](../../../../tfp/experimental/substrates/numpy/distributions/Beta.md): Beta distribution.

[`class Binomial`](../../../../tfp/experimental/substrates/numpy/distributions/Binomial.md): Binomial distribution.

[`class Blockwise`](../../../../tfp/experimental/substrates/numpy/distributions/Blockwise.md): Blockwise distribution.

[`class Categorical`](../../../../tfp/experimental/substrates/numpy/distributions/Categorical.md): Categorical distribution over integers.

[`class Cauchy`](../../../../tfp/experimental/substrates/numpy/distributions/Cauchy.md): The Cauchy distribution with location `loc` and scale `scale`.

[`class Chi`](../../../../tfp/experimental/substrates/numpy/distributions/Chi.md): Chi distribution.

[`class Chi2`](../../../../tfp/experimental/substrates/numpy/distributions/Chi2.md): Chi2 distribution.

[`class CholeskyLKJ`](../../../../tfp/experimental/substrates/numpy/distributions/CholeskyLKJ.md): The CholeskyLKJ distribution on cholesky factors of correlation matrices.

[`class Deterministic`](../../../../tfp/experimental/substrates/numpy/distributions/Deterministic.md): Scalar `Deterministic` distribution on the real line.

[`class Dirichlet`](../../../../tfp/experimental/substrates/numpy/distributions/Dirichlet.md): Dirichlet distribution.

[`class DirichletMultinomial`](../../../../tfp/experimental/substrates/numpy/distributions/DirichletMultinomial.md): Dirichlet-Multinomial compound distribution.

[`class Distribution`](../../../../tfp/experimental/substrates/numpy/distributions/Distribution.md): A generic probability distribution base class.

[`class DoublesidedMaxwell`](../../../../tfp/experimental/substrates/numpy/distributions/DoublesidedMaxwell.md): Double-sided Maxwell distribution.

[`class Empirical`](../../../../tfp/experimental/substrates/numpy/distributions/Empirical.md): Empirical distribution.

[`class ExpRelaxedOneHotCategorical`](../../../../tfp/experimental/substrates/numpy/distributions/ExpRelaxedOneHotCategorical.md): ExpRelaxedOneHotCategorical distribution with temperature and logits.

[`class Exponential`](../../../../tfp/experimental/substrates/numpy/distributions/Exponential.md): Exponential distribution.

[`class Gamma`](../../../../tfp/experimental/substrates/numpy/distributions/Gamma.md): Gamma distribution.

[`class GammaGamma`](../../../../tfp/experimental/substrates/numpy/distributions/GammaGamma.md): Gamma-Gamma distribution.

[`class GeneralizedPareto`](../../../../tfp/experimental/substrates/numpy/distributions/GeneralizedPareto.md): The Generalized Pareto distribution.

[`class Geometric`](../../../../tfp/experimental/substrates/numpy/distributions/Geometric.md): Geometric distribution.

[`class Gumbel`](../../../../tfp/experimental/substrates/numpy/distributions/Gumbel.md): The scalar Gumbel distribution with location `loc` and `scale` parameters.

[`class HalfCauchy`](../../../../tfp/experimental/substrates/numpy/distributions/HalfCauchy.md): Half-Cauchy distribution.

[`class HalfNormal`](../../../../tfp/experimental/substrates/numpy/distributions/HalfNormal.md): The Half Normal distribution with scale `scale`.

[`class HiddenMarkovModel`](../../../../tfp/experimental/substrates/numpy/distributions/HiddenMarkovModel.md): Hidden Markov model distribution.

[`class Horseshoe`](../../../../tfp/experimental/substrates/numpy/distributions/Horseshoe.md): Horseshoe distribution.

[`class Independent`](../../../../tfp/experimental/substrates/numpy/distributions/Independent.md): Independent distribution from batch of distributions.

[`class InverseGamma`](../../../../tfp/experimental/substrates/numpy/distributions/InverseGamma.md): InverseGamma distribution.

[`class InverseGaussian`](../../../../tfp/experimental/substrates/numpy/distributions/InverseGaussian.md): Inverse Gaussian distribution.

[`class Kumaraswamy`](../../../../tfp/experimental/substrates/numpy/distributions/Kumaraswamy.md): Kumaraswamy distribution.

[`class LKJ`](../../../../tfp/experimental/substrates/numpy/distributions/LKJ.md): The LKJ distribution on correlation matrices.

[`class Laplace`](../../../../tfp/experimental/substrates/numpy/distributions/Laplace.md): The Laplace distribution with location `loc` and `scale` parameters.

[`class LinearGaussianStateSpaceModel`](../../../../tfp/experimental/substrates/numpy/distributions/LinearGaussianStateSpaceModel.md): Observation distribution from a linear Gaussian state space model.

[`class LogNormal`](../../../../tfp/experimental/substrates/numpy/distributions/LogNormal.md): The log-normal distribution.

[`class Logistic`](../../../../tfp/experimental/substrates/numpy/distributions/Logistic.md): The Logistic distribution with location `loc` and `scale` parameters.

[`class Mixture`](../../../../tfp/experimental/substrates/numpy/distributions/Mixture.md): Mixture distribution.

[`class MixtureSameFamily`](../../../../tfp/experimental/substrates/numpy/distributions/MixtureSameFamily.md): Mixture (same-family) distribution.

[`class Multinomial`](../../../../tfp/experimental/substrates/numpy/distributions/Multinomial.md): Multinomial distribution.

[`class MultivariateNormalDiag`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateNormalDiag.md): The multivariate normal distribution on `R^k`.

[`class MultivariateNormalDiagPlusLowRank`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateNormalDiagPlusLowRank.md): The multivariate normal distribution on `R^k`.

[`class MultivariateNormalFullCovariance`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateNormalFullCovariance.md): The multivariate normal distribution on `R^k`.

[`class MultivariateNormalLinearOperator`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateNormalLinearOperator.md): The multivariate normal distribution on `R^k`.

[`class MultivariateNormalTriL`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateNormalTriL.md): The multivariate normal distribution on `R^k`.

[`class MultivariateStudentTLinearOperator`](../../../../tfp/experimental/substrates/numpy/distributions/MultivariateStudentTLinearOperator.md): The [Multivariate Student's t-distribution](

[`class NegativeBinomial`](../../../../tfp/experimental/substrates/numpy/distributions/NegativeBinomial.md): NegativeBinomial distribution.

[`class Normal`](../../../../tfp/experimental/substrates/numpy/distributions/Normal.md): The Normal distribution with location `loc` and `scale` parameters.

[`class OneHotCategorical`](../../../../tfp/experimental/substrates/numpy/distributions/OneHotCategorical.md): OneHotCategorical distribution.

[`class PERT`](../../../../tfp/experimental/substrates/numpy/distributions/PERT.md): Modified PERT distribution for modeling expert predictions.

[`class Pareto`](../../../../tfp/experimental/substrates/numpy/distributions/Pareto.md): Pareto distribution.

[`class PlackettLuce`](../../../../tfp/experimental/substrates/numpy/distributions/PlackettLuce.md): Plackett-Luce distribution over permutations.

[`class Poisson`](../../../../tfp/experimental/substrates/numpy/distributions/Poisson.md): Poisson distribution.

[`class PoissonLogNormalQuadratureCompound`](../../../../tfp/experimental/substrates/numpy/distributions/PoissonLogNormalQuadratureCompound.md): `PoissonLogNormalQuadratureCompound` distribution.

[`class ProbitBernoulli`](../../../../tfp/experimental/substrates/numpy/distributions/ProbitBernoulli.md): ProbitBernoulli distribution.

[`class QuantizedDistribution`](../../../../tfp/experimental/substrates/numpy/distributions/QuantizedDistribution.md): Distribution representing the quantization `Y = ceiling(X)`.

[`class RegisterKL`](../../../../tfp/experimental/substrates/numpy/distributions/RegisterKL.md): Decorator to register a KL divergence implementation function.

[`class RelaxedBernoulli`](../../../../tfp/experimental/substrates/numpy/distributions/RelaxedBernoulli.md): RelaxedBernoulli distribution with temperature and logits parameters.

[`class RelaxedOneHotCategorical`](../../../../tfp/experimental/substrates/numpy/distributions/RelaxedOneHotCategorical.md): RelaxedOneHotCategorical distribution with temperature and logits.

[`class ReparameterizationType`](../../../../tfp/distributions/ReparameterizationType.md): Instances of this class represent how sampling is reparameterized.

[`class Sample`](../../../../tfp/experimental/substrates/numpy/distributions/Sample.md): Sample distribution via independent draws.

[`class SeedStream`](../../../../tfp/experimental/substrates/numpy/distributions/SeedStream.md): Local PRNG for amplifying seed entropy into seeds for base operations.

[`class SinhArcsinh`](../../../../tfp/experimental/substrates/numpy/distributions/SinhArcsinh.md): The SinhArcsinh transformation of a distribution on `(-inf, inf)`.

[`class StudentT`](../../../../tfp/experimental/substrates/numpy/distributions/StudentT.md): Student's t-distribution.

[`class TransformedDistribution`](../../../../tfp/experimental/substrates/numpy/distributions/TransformedDistribution.md): A Transformed Distribution.

[`class Triangular`](../../../../tfp/experimental/substrates/numpy/distributions/Triangular.md): Triangular distribution with `low`, `high` and `peak` parameters.

[`class TruncatedNormal`](../../../../tfp/experimental/substrates/numpy/distributions/TruncatedNormal.md): The Truncated Normal distribution.

[`class Uniform`](../../../../tfp/experimental/substrates/numpy/distributions/Uniform.md): Uniform distribution with `low` and `high` parameters.

[`class VectorDeterministic`](../../../../tfp/experimental/substrates/numpy/distributions/VectorDeterministic.md): Vector `Deterministic` distribution on `R^k`.

[`class VectorDiffeomixture`](../../../../tfp/experimental/substrates/numpy/distributions/VectorDiffeomixture.md): VectorDiffeomixture distribution.

[`class VectorExponentialDiag`](../../../../tfp/experimental/substrates/numpy/distributions/VectorExponentialDiag.md): The vectorization of the Exponential distribution on `R^k`.

[`class VectorLaplaceDiag`](../../../../tfp/experimental/substrates/numpy/distributions/VectorLaplaceDiag.md): The vectorization of the Laplace distribution on `R^k`.

[`class VectorSinhArcsinhDiag`](../../../../tfp/experimental/substrates/numpy/distributions/VectorSinhArcsinhDiag.md): The (diagonal) SinhArcsinh transformation of a distribution on `R^k`.

[`class Wishart`](../../../../tfp/experimental/substrates/numpy/distributions/Wishart.md): The matrix Wishart distribution on positive definite matrices.

[`class Zipf`](../../../../tfp/experimental/substrates/numpy/distributions/Zipf.md): Zipf distribution.

## Functions

[`fill_triangular(...)`](../../../../tfp/experimental/substrates/numpy/distributions/fill_triangular.md): Creates a (batch of) triangular matrix from a vector of inputs. (deprecated)

[`fill_triangular_inverse(...)`](../../../../tfp/experimental/substrates/numpy/distributions/fill_triangular_inverse.md): Creates a vector from a (batch of) triangular matrix. (deprecated)

[`kl_divergence(...)`](../../../../tfp/experimental/substrates/numpy/distributions/kl_divergence.md): Get the KL-divergence KL(distribution_a || distribution_b).

[`matrix_diag_transform(...)`](../../../../tfp/experimental/substrates/numpy/distributions/matrix_diag_transform.md): Transform diagonal of [batch-]matrix, leave rest of matrix unchanged. (deprecated)

[`normal_conjugates_known_scale_posterior(...)`](../../../../tfp/experimental/substrates/numpy/distributions/normal_conjugates_known_scale_posterior.md): Posterior Normal distribution with conjugate prior on the mean.

[`normal_conjugates_known_scale_predictive(...)`](../../../../tfp/experimental/substrates/numpy/distributions/normal_conjugates_known_scale_predictive.md): Posterior predictive Normal distribution w. conjugate prior on the mean.

[`quadrature_scheme_lognormal_gauss_hermite(...)`](../../../../tfp/experimental/substrates/numpy/distributions/quadrature_scheme_lognormal_gauss_hermite.md): Use Gauss-Hermite quadrature to form quadrature on positive-reals.

[`quadrature_scheme_lognormal_quantiles(...)`](../../../../tfp/experimental/substrates/numpy/distributions/quadrature_scheme_lognormal_quantiles.md): Use LogNormal quantiles to form quadrature on positive-reals.

[`quadrature_scheme_softmaxnormal_gauss_hermite(...)`](../../../../tfp/experimental/substrates/numpy/distributions/quadrature_scheme_softmaxnormal_gauss_hermite.md): Use Gauss-Hermite quadrature to form quadrature on `K - 1` simplex.

[`quadrature_scheme_softmaxnormal_quantiles(...)`](../../../../tfp/experimental/substrates/numpy/distributions/quadrature_scheme_softmaxnormal_quantiles.md): Use SoftmaxNormal quantiles to form quadrature on `K - 1` simplex.

[`reduce_weighted_logsumexp(...)`](../../../../tfp/experimental/substrates/numpy/distributions/reduce_weighted_logsumexp.md): Computes `log(abs(sum(weight * exp(elements across tensor dimensions))))`. (deprecated)

[`softplus_inverse(...)`](../../../../tfp/experimental/substrates/numpy/distributions/softplus_inverse.md): Computes the inverse softplus, i.e., x = softplus_inverse(softplus(x)). (deprecated)

[`tridiag(...)`](../../../../tfp/experimental/substrates/numpy/distributions/tridiag.md): Creates a matrix with values set above, below, and on the diagonal. (deprecated)

## Other Members

* `FULLY_REPARAMETERIZED` <a id="FULLY_REPARAMETERIZED"></a>
* `NOT_REPARAMETERIZED` <a id="NOT_REPARAMETERIZED"></a>
