<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.vi" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.vi


<table class="tfo-notebook-buttons tfo-api" align="left">

<td>
  <a target="_blank" href="https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/vi/__init__.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td></table>



Methods and objectives for variational inference.

<!-- Placeholder for "Used in" -->


## Modules

[`mutual_information`](../tfp/vi/mutual_information.md) module: Mutual information estimators and helpers.

## Functions

[`amari_alpha(...)`](../tfp/vi/amari_alpha.md): The Amari-alpha Csiszar-function in log-space.

[`arithmetic_geometric(...)`](../tfp/vi/arithmetic_geometric.md): The Arithmetic-Geometric Csiszar-function in log-space.

[`chi_square(...)`](../tfp/vi/chi_square.md): The chi-Square Csiszar-function in log-space.

[`csiszar_vimco(...)`](../tfp/vi/csiszar_vimco.md): Use VIMCO to lower the variance of gradient[csiszar_function(Avg(logu))].

[`csiszar_vimco_helper(...)`](../tfp/vi/csiszar_vimco_helper.md): Helper to `csiszar_vimco`; computes `log_avg_u`, `log_sooavg_u`. (deprecated)

[`dual_csiszar_function(...)`](../tfp/vi/dual_csiszar_function.md): Calculates the dual Csiszar-function in log-space.

[`fit_surrogate_posterior(...)`](../tfp/vi/fit_surrogate_posterior.md): Fit a surrogate posterior to a target (unnormalized) log density.

[`jeffreys(...)`](../tfp/vi/jeffreys.md): The Jeffreys Csiszar-function in log-space.

[`jensen_shannon(...)`](../tfp/vi/jensen_shannon.md): The Jensen-Shannon Csiszar-function in log-space.

[`kl_forward(...)`](../tfp/vi/kl_forward.md): The forward Kullback-Leibler Csiszar-function in log-space.

[`kl_reverse(...)`](../tfp/vi/kl_reverse.md): The reverse Kullback-Leibler Csiszar-function in log-space.

[`log1p_abs(...)`](../tfp/vi/log1p_abs.md): The log1p-abs Csiszar-function in log-space.

[`modified_gan(...)`](../tfp/vi/modified_gan.md): The Modified-GAN Csiszar-function in log-space.

[`monte_carlo_csiszar_f_divergence(...)`](../tfp/vi/monte_carlo_csiszar_f_divergence.md): Monte-Carlo approximation of the Csiszar f-Divergence. (deprecated)

[`monte_carlo_variational_loss(...)`](../tfp/vi/monte_carlo_variational_loss.md): Monte-Carlo approximation of an f-Divergence variational loss.

[`pearson(...)`](../tfp/vi/pearson.md): The Pearson Csiszar-function in log-space.

[`squared_hellinger(...)`](../tfp/vi/squared_hellinger.md): The Squared-Hellinger Csiszar-function in log-space.

[`symmetrized_csiszar_function(...)`](../tfp/vi/symmetrized_csiszar_function.md): Symmetrizes a Csiszar-function in log-space.

[`t_power(...)`](../tfp/vi/t_power.md): The T-Power Csiszar-function in log-space.

[`total_variation(...)`](../tfp/vi/total_variation.md): The Total Variation Csiszar-function in log-space.

[`triangular(...)`](../tfp/vi/triangular.md): The Triangular Csiszar-function in log-space.

